Skip to content
Start here

List Event Subscriptions

queues.subscriptions.list(SubscriptionListParams**kwargs) -> SyncV4PagePaginationArray[SubscriptionListResponse]
GET/accounts/{account_id}/event_subscriptions/subscriptions

Get a paginated list of event subscriptions with optional sorting and filtering

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteQueues ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
account_id: str

A Resource identifier.

maxLength32
direction: Optional[Literal["asc", "desc"]]

Sort direction

One of the following:
"asc"
"desc"
order: Optional[Literal["created_at", "name", "enabled", "source"]]

Field to sort by

One of the following:
"created_at"
"name"
"enabled"
"source"
page: Optional[int]

Page number for pagination

minimum1
per_page: Optional[int]

Number of items per page

maximum100
minimum1
ReturnsExpand Collapse
class SubscriptionListResponse:
id: str

Unique identifier for the subscription

created_at: datetime

When the subscription was created

formatdate-time
destination: Destination

Destination configuration for the subscription

queue_id: str

ID of the target queue

type: Literal["queues.queue"]

Type of destination

enabled: bool

Whether the subscription is active

events: List[str]

List of event types this subscription handles

modified_at: datetime

When the subscription was last modified

formatdate-time
name: str

Name of the subscription

source: Source

Source configuration for the subscription

One of the following:
class SourceMqEventSourceImages:
type: Optional[Literal["images"]]

Type of source

class SourceMqEventSourceKV:
type: Optional[Literal["kv"]]

Type of source

class SourceMqEventSourceR2:
type: Optional[Literal["r2"]]

Type of source

class SourceMqEventSourceSuperSlurper:
type: Optional[Literal["superSlurper"]]

Type of source

class SourceMqEventSourceVectorize:
type: Optional[Literal["vectorize"]]

Type of source

class SourceMqEventSourceWorkersAIModel:
model_name: Optional[str]

Name of the Workers AI model

type: Optional[Literal["workersAi.model"]]

Type of source

class SourceMqEventSourceWorkersBuildsWorker:
type: Optional[Literal["workersBuilds.worker"]]

Type of source

worker_name: Optional[str]

Name of the worker

class SourceMqEventSourceWorkflowsWorkflow:
type: Optional[Literal["workflows.workflow"]]

Type of source

workflow_name: Optional[str]

Name of the workflow

List Event Subscriptions

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.queues.subscriptions.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "destination": {
        "queue_id": "queue_id",
        "type": "queues.queue"
      },
      "enabled": true,
      "events": [
        "string"
      ],
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "source": {
        "type": "images"
      }
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "destination": {
        "queue_id": "queue_id",
        "type": "queues.queue"
      },
      "enabled": true,
      "events": [
        "string"
      ],
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "source": {
        "type": "images"
      }
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  },
  "success": true
}